Public Class frmName

  Private Sub btnExtract_Click(ByVal sender As System.Object,
                               ByVal e As System.EventArgs) Handles btnExtract.Click
    Dim fullName As String = txtFull.Text
    Dim parsedName() As String = fullName.Split(" "c)
    txtFirst.Text = parsedName.First
    txtLast.Text = parsedName.Last
  End Sub

End Class
